Package com.destroystokyo.paper.exception

# Class ServerCommandException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerCommandException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ServerTabCompleteException`

public class ServerCommandException extends ServerException
Thrown when a command throws an exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerCommandException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerCommandException(String message, Throwable cause, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerCommandException(Throwable cause, Command command, CommandSender commandSender, String[] arguments)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArguments()`
Gets the arguments which threw the exception for the command
`Command`
`getCommand()`
Gets the command which threw the exception
`CommandSender`
`getCommandSender()`
Gets the command sender which executed the command request

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerCommandException

public ServerCommandException(String message, Throwable cause, Command command, CommandSender commandSender, String[] arguments)

### ServerCommandException

public ServerCommandException(Throwable cause, Command command, CommandSender commandSender, String[] arguments)

### ServerCommandException

protected ServerCommandException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Command command, CommandSender commandSender, String[] arguments)

## Method Details

### getCommand

public Command getCommand()
Gets the command which threw the exception

Returns:
  exception throwing command

### getCommandSender

public CommandSender getCommandSender()
Gets the command sender which executed the command request

Returns:
  command sender of exception thrown command request

### getArguments

public String[] getArguments()
Gets the arguments which threw the exception for the command

Returns:
  arguments of exception thrown command request